{% extends 'base.html.twig' %}

{% block title %}Hello CounterController!{% endblock %}
{% block stylesheets %}
  {{encore_entry_link_tags('counter')}}
{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1>Hello {{ controller_name }}! ✅</h1>

    <div id="counter">
    <div>Counter: {* number *}</div
      <br>
      <button v-on:click="add"> Add  </button>
      
    </div>

    This friendly message is coming from:
    <ul>
        <li>Your controller at <code><a href="{{ 'C:/Users/domnisoara_Simona/Documents/symphony/tema26/tema26/src/Controller/CounterController.php'|file_link(0) }}">src/Controller/CounterController.php</a></code></li>
        <li>Your template at <code><a href="{{ 'C:/Users/domnisoara_Simona/Documents/symphony/tema26/tema26/templates/counter/index.html.twig'|file_link(0) }}">templates/counter/index.html.twig</a></code></li>
    </ul>
</div>
{% endblock %}
{% block javascripts %}
  {{encore_entry_script_tags('counter')}}
{% endblock %}
